All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.olaptableview.html
Class ShowDetailDataComposite

    com.sas.servlet.tbeans.olaptableview.html.ShowDetailDataComposite

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, ShowDetailDataCompositeKeysInterface, ShowDetailDataCompositeStyleKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    public class ShowDetailDataComposite

implements ShowDetailDataCompositeKeysInterface, ShowDetailDataCompositeStyleKeysInterface

ShowDetailDataComposite is a TransformationBean™ that is composed of other TransformationBeans™ that include the following sub-components: TableViewComposite.

The ShowDetailDataComposite is one of several TransformationBeans™ that are considered composite components. A composite component allows a developer to design custom components that are made up of a combination of other components, such as TextEntry, ListBox, and Label TransformationBeans™. The visual layout of a composite component can be easily controlled through a template. For more information on composite TransformationBeans™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Composite TransformationBeans™ as well as the TransformationBean™ Component and Style Reference.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Fields inherited from interface com.sas.servlet.tbeans.olaptableview.html.ShowDetailDataCompositeKeysInterface
`SHOWDETAIL_COLUMN_HEADERS_CHOICE, SHOWDETAIL_COLUMN_HEADERS_LABEL, SHOWDETAIL_ERROR_BUTTON, SHOWDETAIL_TABLEVIEW_COMPOSITE, SHOWDETAIL_WINDOW_TITLE`

Fields inherited from interface com.sas.servlet.tbeans.olaptableview.html.ShowDetailDataCompositeStyleKeysInterface
`SHOWDETAIL_COLUMN_HEADERS_CHOICE_DIV_STYLE, SHOWDETAIL_COLUMN_HEADERS_CHOICE_STYLE, SHOWDETAIL_COLUMN_HEADERS_LABEL_STYLE, SHOWDETAIL_TABLE_CONTAINER_STYLE`

Constructor Summary
`ShowDetailDataComposite()` Constructs a new default ShowDetailComposite with a null data model.

Method Summary
`protected void` | `addItemsToTemplateDictionaryMap()`
`protected javax.swing.ComboBoxModel` | `getColumnHeadersChoiceModel()`
`javax.swing.table.TableModel` | `getModel()` Return the data model for the TableViewComposite.
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets the locale dependent properties.
`void` | `setModel(javax.swing.table.TableModel tableModel)` Sets the data model for the TableViewComposite.
`void` | `write(java.io.PrintWriter out)` Writes the custom attributes of the object.

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Constructor Detail

### ShowDetailDataComposite

    public ShowDetailDataComposite()

  Constructs a new default ShowDetailComposite with a null data model.

Method Detail

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `BaseTransformation`
  Sets the locale dependent properties. Not operational at this level.

  Overrides:
    `setLocaleDependentProperties` in class `BaseTransformation`

### getColumnHeadersChoiceModel

    protected javax.swing.ComboBoxModel getColumnHeadersChoiceModel()

### addItemsToTemplateDictionaryMap

    protected void addItemsToTemplateDictionaryMap()

### getModel

    public javax.swing.table.TableModel getModel()

  Return the data model for the TableViewComposite.

  Returns:
    the data model for the TableViewComposite

### setModel

    public void setModel(javax.swing.table.TableModel tableModel)

  Sets the data model for the TableViewComposite. It also sets the model on the underlying TableView and MenuBar used by the TableViewComposite.

  Parameters:
    `tableModel` - the data model for the TableViewComposite

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Description copied from class: `BaseCompositeTransformation`
  Writes the custom attributes of the object. All transformation beans should override this method and call SUPER.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.